<?php include('casa/setup.casa.php');
	$codigo = substr(md5(uniqid()),1,7);
		
	$txtNombres = DataForms::POST('txtNombres'); 
	$txtApellidos = DataForms::POST('txtApellidos'); 
	$txtCI = DataForms::POST('txtCI'); 
	$txtROL = DataForms::POST('txtROL'); 
	$txtUSER = DataForms::POST('txtUSER'); 
	$txtPASS = md5($txtCI);

	if(trim($txtNombres)==''){	
		MostrarMensaje("Ingrese valor en Nombres");
		exit();
	} 
	if(trim($txtApellidos)==''){	
		MostrarMensaje("Ingrese valor en Apellidos");
		exit();
	} 
	if(trim($txtCI)==''){	
		MostrarMensaje("Ingrese valor en C.I.");
		exit();
	} 
	if(trim($txtROL)==''){	
		MostrarMensaje("Seleccione un ROL");
		exit();
	} 
	if(trim($txtUSER)==''){	
		MostrarMensaje("Ingrese valor en USER");
		exit();
	} 
	
	
$sql = "INSERT INTO rol_usuarios(
	us_codigo,rol_id,us_ci,
	us_nombres,us_apellidos,
	us_user,us_pass
)VALUES(
	'$codigo', '$txtROL','$txtCI',
	'$txtNombres','$txtApellidos',
	'$txtUSER','$txtPASS'
);";
$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'usuarios/listado";</script>';

//funciones
function MostrarMensaje($Mensaje){
	$sms="<script>swal({
		title: '".AppName."',
			 html: '".$Mensaje."!!!',
			 confirmButtonClass: 'btn bg-dark',
			 confirmButtonText: 'ACEPTAR',
		timer: 3500
  }).then();</script>";

  echo $sms;
}
?>